<?xml version="1.0" ?>
<Document>
  <PluginList>
    <Plugin id="Image3" name="Image2" imbeddedFilename="SubControlsXp.sem">
      <GUI graphicsApi="GmpiGui">
        <Pin name="Animation Position" datatype="float" />
        <Pin name="Filename" datatype="string" default="knob_sm" isFilename="true" metadata="bmp" />
        <Pin name="Hint" datatype="string" />
        <Pin name="Menu Items" datatype="string" />
        <Pin name="Menu Selection" datatype="int" />
        <Pin name="Mouse Down" datatype="bool" direction="out" private="true" />
        <Pin name="Mouse Down" datatype="bool" />
        <Pin name="Frame Count" datatype="int" private="true" />
        <Pin name="Frame Count" datatype="int" direction="out" />
        <Pin name="Mouse Response" datatype="enum" default="-1" isMinimised="true" metadata="auto=-1, vertical=0, horizontal=1, clicks=2, rotary=3, step=4" />
      </GUI>
    </Plugin>
    <Plugin id="SE BoolToFloat" name="Bool To Float" imbeddedFilename="Converters.sem">
      <Audio>
        <Pin name="Bool Val" datatype="bool" />
        <Pin name="Float Val" datatype="float" direction="out" />
      </Audio>
    </Plugin>
    <Plugin id="SE BoolToInt" name="Bool To Int" imbeddedFilename="Converters.sem">
      <Audio>
        <Pin name="Bool Val" datatype="bool" />
        <Pin name="Int Val" datatype="int" direction="out" />
      </Audio>
    </Plugin>
    <Plugin id="SE BoolToText" name="Bool To Text" imbeddedFilename="Converters.sem">
      <Audio>
        <Pin name="Bool Val" datatype="bool" />
        <Pin name="Text Val" datatype="string" direction="out" />
      </Audio>
    </Plugin>
    <Plugin id="SE BoolToVolts" name="Bool to Volts" imbeddedFilename="Converters.sem">
      <Audio>
        <Pin name="In" datatype="bool" />
        <Pin name="Out" datatype="float" rate="audio" direction="out" />
      </Audio>
    </Plugin>
    <Plugin id="SE Float Function DSP" name="Float Function" imbeddedFilename="Converters.sem">
      <Audio>
        <Pin name="A" datatype="float" />
        <Pin name="B" datatype="float" direction="out" />
        <Pin name="Formula: B=" datatype="string" default="A*2" />
      </Audio>
    </Plugin>
    <Plugin id="SE FloatToBool" name="Float To Bool" imbeddedFilename="Converters.sem">
      <Audio>
        <Pin name="Float Val" datatype="float" />
        <Pin name="Bool Val" datatype="bool" direction="out" />
      </Audio>
    </Plugin>
    <Plugin id="SE FloatToBool GUI" name="Float To Bool" imbeddedFilename="Converters.sem">
      <GUI>
        <Pin name="Float Val" datatype="float" />
        <Pin name="Bool Val" datatype="bool" direction="out" />
      </GUI>
    </Plugin>
    <Plugin id="SE FloatToInt" name="Float To Int" imbeddedFilename="Converters.sem">
      <Audio>
        <Pin name="Float Val" datatype="float" />
        <Pin name="Int Val" datatype="int" direction="out" />
      </Audio>
    </Plugin>
    <Plugin id="SE FloatToInt GUI" name="Float To Int" imbeddedFilename="Converters.sem">
      <GUI>
        <Pin name="Float Val" datatype="float" />
        <Pin name="Int Val" datatype="int" direction="out" />
      </GUI>
    </Plugin>
    <Plugin id="SE FloatToText" name="Float To Text" imbeddedFilename="Converters.sem">
      <Audio>
        <Pin name="Float Val" datatype="float" />
        <Pin name="Text Val" datatype="string" direction="out" />
      </Audio>
    </Plugin>
    <Plugin id="SE ImageTinted XP" name="Image Tinted (XP)" imbeddedFilename="SubControlsXp.sem">
      <GUI graphicsApi="GmpiGui">
        <Pin name="Animation Position" datatype="float" />
        <Pin name="Filename" datatype="string" default="knob_sm" isFilename="true" metadata="bmp" />
        <Pin name="Hint" datatype="string" />
        <Pin name="Menu Items" datatype="string" />
        <Pin name="Menu Selection" datatype="int" />
        <Pin name="Mouse Down" datatype="bool" direction="out" private="true" />
        <Pin name="Mouse Down" datatype="bool" />
        <Pin name="Frame Count" datatype="int" private="true" />
        <Pin name="Frame Count" datatype="int" direction="out" />
        <Pin name="Hue" datatype="float" direction="out" private="true" />
        <Pin name="Saturation" datatype="float" direction="out" private="true" />
        <Pin name="Brightness" datatype="float" direction="out" private="true" />
        <Pin name="Hue" datatype="float" />
        <Pin name="Saturation" datatype="float" default="1" />
        <Pin name="Brightness" datatype="float" default="1" />
      </GUI>
    </Plugin>
    <Plugin id="SE Int to Bools" name="Int to Bools" imbeddedFilename="Converters.sem">
      <GUI>
        <Pin name="Value" datatype="int" />
        <Pin name="Spare" datatype="bool" direction="out" autoRename="true" autoDuplicate="true" />
      </GUI>
    </Plugin>
    <Plugin id="SE IntToBool" name="Int to Bool" imbeddedFilename="Converters.sem">
      <Audio>
        <Pin name="Int Val" datatype="int" />
        <Pin name="Bool Val" datatype="bool" direction="out" />
      </Audio>
    </Plugin>
    <Plugin id="SE IntToFloat" name="Int To Float" imbeddedFilename="Converters.sem">
      <Audio>
        <Pin name="Int Val" datatype="int" />
        <Pin name="Float Val" datatype="float" direction="out" />
      </Audio>
    </Plugin>
    <Plugin id="SE IntToText" name="Int To Text" imbeddedFilename="Converters.sem">
      <Audio>
        <Pin name="Int Val" datatype="int" />
        <Pin name="Text Val" datatype="string" direction="out" />
      </Audio>
    </Plugin>
    <Plugin id="SE IntToVolts" name="Int to Volts" imbeddedFilename="Converters.sem">
      <Audio>
        <Pin name="In" datatype="int" />
        <Pin name="Out" datatype="float" rate="audio" direction="out" />
      </Audio>
    </Plugin>
    <Plugin id="SE List Entry" name="List Entry" imbeddedFilename="ControlsXp.sem">
      <Parameters>
        <Parameter id="0" datatype="enum" name="s1" />
      </Parameters>
      <Audio>
        <Pin name="Value In" datatype="int" private="true" parameterId="0" />
        <Pin name="Value Out" datatype="enum" direction="out" autoConfigureParameter="true" />
      </Audio>
      <GUI graphicsApi="GmpiGui">
        <Pin id="10" name="Value In" datatype="int" private="true" parameterId="0" />
        <Pin name="Hint" datatype="string" private="true" />
        <Pin name="EnumList" datatype="string" private="true" parameterId="0" parameterField="7" />
        <Pin name="Appearance" datatype="enum" isMinimised="true" metadata="Dropdown, LED Stack, LED Stack (labelled), Selector, Button Stack, Rot Switch=5,Rot Switch (no labels), Up/Down Select" />
        <Pin name="Title" datatype="string" isMinimised="true" />
        <Pin name="Menu Items" datatype="string" private="true" parameterId="0" parameterField="3" />
        <Pin name="Menu Selection" datatype="int" private="true" parameterId="0" parameterField="4" />
      </GUI>
    </Plugin>
    <Plugin id="SE ListToInt" name="List To Int" imbeddedFilename="Converters.sem">
      <Audio>
        <Pin name="List Val" datatype="enum" />
        <Pin name="Int Val" datatype="int" direction="out" />
      </Audio>
    </Plugin>
    <Plugin id="SE PatchMemory Float Out" name="PatchMemory Float Out3" imbeddedFilename="PatchMemory.sem">
      <Parameters>
        <Parameter id="0" datatype="float" name="" ignorePatchChange="true" persistant="false" />
      </Parameters>
      <Audio>
        <Pin name="Value In" datatype="float" />
        <Pin name="PM Value Out" datatype="float" direction="out" private="true" autoConfigureParameter="true" parameterId="0" />
      </Audio>
      <GUI>
        <Pin name="PM Value In" datatype="float" private="true" parameterId="0" />
        <Pin name="PM Name In" datatype="string" private="true" parameterId="0" parameterField="1" />
        <Pin name="PM Menu Items" datatype="string" private="true" parameterId="0" parameterField="3" />
        <Pin name="PM Menu Selection" datatype="int" private="true" parameterId="0" parameterField="4" />
        <Pin name="AnimationIn" datatype="float" private="true" parameterId="0" parameterField="15" />
        <Pin name="Name" datatype="string" direction="out" />
        <Pin name="Value" datatype="float" direction="out" />
        <Pin name="Value Out" datatype="float" isMinimised="true" />
        <Pin name="Animation Position" datatype="float" direction="out" />
        <Pin name="Menu Items" datatype="string" direction="out" />
        <Pin name="Menu Selection" datatype="int" direction="out" />
      </GUI>
    </Plugin>
    <Plugin id="SE PatchMemory Int" name="PatchMemory Int" imbeddedFilename="PatchMemory.sem">
      <Parameters>
        <Parameter id="0" datatype="int" name="" />
      </Parameters>
      <Audio>
        <Pin name="Value In" datatype="int" private="true" parameterId="0" />
        <Pin name="Value Out" datatype="int" direction="out" autoConfigureParameter="true" />
      </Audio>
      <GUI>
        <Pin name="Value In" datatype="int" private="true" parameterId="0" />
        <Pin name="Name In" datatype="string" private="true" parameterId="0" parameterField="1" />
        <Pin name="Menu Items" datatype="string" private="true" parameterId="0" parameterField="3" />
        <Pin name="Menu Selection" datatype="int" private="true" parameterId="0" parameterField="4" />
        <Pin name="Mouse Down" datatype="bool" private="true" parameterId="0" parameterField="14" />
        <Pin name="AnimationIn" datatype="float" private="true" parameterId="0" parameterField="15" />
        <Pin name="Name" datatype="string" direction="out" />
        <Pin name="Value" datatype="int" direction="out" />
        <Pin name="Animation Position" datatype="float" direction="out" />
        <Pin name="Menu Items" datatype="string" direction="out" />
        <Pin name="Menu Selection" datatype="int" direction="out" />
        <Pin name="Mouse Down" datatype="bool" direction="out" />
      </GUI>
    </Plugin>
    <Plugin id="SE PatchMemory Int Out" name="PatchMemory Int Out" imbeddedFilename="PatchMemory.sem">
      <Parameters>
        <Parameter id="0" datatype="int" name="" ignorePatchChange="true" persistant="false" />
      </Parameters>
      <Audio>
        <Pin name="Value In" datatype="int" />
        <Pin name="PM Value Out" datatype="int" direction="out" private="true" autoConfigureParameter="true" parameterId="0" />
      </Audio>
      <GUI>
        <Pin name="PM Value In" datatype="int" private="true" parameterId="0" />
        <Pin name="PM Name In" datatype="string" private="true" parameterId="0" parameterField="1" />
        <Pin name="PM Menu Items" datatype="string" private="true" parameterId="0" parameterField="3" />
        <Pin name="PM Menu Selection" datatype="int" private="true" parameterId="0" parameterField="4" />
        <Pin name="AnimationIn" datatype="float" private="true" parameterId="0" parameterField="15" />
        <Pin name="Name" datatype="string" direction="out" />
        <Pin name="Value" datatype="int" direction="out" />
        <Pin id="8" name="Animation Position" datatype="float" direction="out" />
        <Pin name="Menu Items" datatype="string" direction="out" />
        <Pin name="Menu Selection" datatype="int" direction="out" />
      </GUI>
    </Plugin>
    <Plugin id="SE PatchMemory Text2" name="PatchMemory Text2" imbeddedFilename="PatchMemory.sem">
      <Parameters>
        <Parameter id="0" datatype="string" name="" />
      </Parameters>
      <Audio>
        <Pin name="Value In" datatype="string" private="true" parameterId="0" />
        <Pin name="Value Out" datatype="string" direction="out" autoConfigureParameter="true" />
      </Audio>
      <GUI>
        <Pin name="Value In" datatype="string" private="true" parameterId="0" />
        <Pin name="Name In" datatype="string" private="true" parameterId="0" parameterField="1" />
        <Pin name="File Extension" datatype="string" private="true" parameterId="0" parameterField="8" />
        <Pin name="Menu Items" datatype="string" private="true" parameterId="0" parameterField="3" />
        <Pin name="Menu Selection" datatype="int" private="true" parameterId="0" parameterField="4" />
        <Pin name="Name" datatype="string" direction="out" />
        <Pin name="Value" datatype="string" direction="out" />
        <Pin name="File Extension" datatype="string" direction="out" />
        <Pin name="Menu Items" datatype="string" direction="out" />
        <Pin name="Menu Selection" datatype="int" direction="out" />
      </GUI>
    </Plugin>
    <Plugin id="SE Plain Image" name="Plain Image" imbeddedFilename="SubControlsXp.sem">
      <GUI graphicsApi="GmpiGui">
        <Pin name="Filename" datatype="string" default="background" isFilename="true" metadata="bmp" />
        <Pin name="Display" datatype="enum" isMinimised="true" metadata="Fixed Size, Tiled, Stretch" />
      </GUI>
    </Plugin>
    <Plugin id="SE Slider" name="Slider" imbeddedFilename="ControlsXp.sem">
      <Parameters>
        <Parameter id="0" datatype="float" name="s1" />
      </Parameters>
      <Audio>
        <Pin name="S0" datatype="float" private="true" parameterId="0" />
        <Pin id="6" name="Signal Out" datatype="float" rate="audio" direction="out" autoConfigureParameter="true" />
      </Audio>
      <GUI graphicsApi="GmpiGui">
        <Pin id="13" name="Value In" datatype="float" private="true" parameterId="0" />
        <Pin name="Hint" datatype="string" private="true" />
        <Pin name="Appearance" datatype="enum" isMinimised="true" metadata="Slider,H-Slider=2,Knob,Button, Button (toggle), Knob (small)=7, Button(small), Button (small toggle)" />
        <Pin name="Title" datatype="string" isMinimised="true" />
        <Pin name="Normalized" datatype="float" private="true" parameterId="0" parameterField="15" />
        <Pin name="Menu Items" datatype="string" private="true" parameterId="0" parameterField="3" />
        <Pin name="Menu Selection" datatype="int" private="true" parameterId="0" parameterField="4" />
        <Pin name="Mouse Down" datatype="bool" private="true" parameterId="0" parameterField="14" />
        <Pin name="RangeLo" datatype="float" private="true" parameterId="0" parameterField="5" />
        <Pin name="RangeHi" datatype="float" private="true" parameterId="0" parameterField="6" />
        <Pin name="Show Readout" datatype="bool" default="1" isMinimised="true" />
      </GUI>
    </Plugin>
    <Plugin id="SE System Command" name="System Command" imbeddedFilename="SystemCommand.sem">
      <GUI>
        <Pin name="Trigger" datatype="bool" direction="out" />
        <Pin name="Command" datatype="int" />
        <Pin name="Command List" datatype="string" direction="out" />
        <Pin name="Filename" datatype="string" />
      </GUI>
    </Plugin>
    <Plugin id="SE Text Entry4" name="Text Entry4" imbeddedFilename="SubControlsXp.sem">
      <GUI graphicsApi="GmpiGui">
        <Pin name="Text" datatype="string" />
        <Pin name="Style" datatype="string" default="normal" />
        <Pin name="Multiline" datatype="bool" />
        <Pin name="Writeable" datatype="bool" default="1" />
        <Pin name="Greyed" datatype="bool" />
        <Pin name="Hint" datatype="string" />
        <Pin name="Menu Items" datatype="string" />
        <Pin name="Menu Selection" datatype="int" />
        <Pin name="Mouse Down" datatype="bool" direction="out" />
      </GUI>
    </Plugin>
    <Plugin id="SE TextToBool" name="Text To Bool" imbeddedFilename="Converters.sem">
      <Audio>
        <Pin name="Text Val" datatype="string" />
        <Pin name="Bool Val" datatype="bool" direction="out" />
      </Audio>
    </Plugin>
    <Plugin id="SE TextToFloat" name="Text To Float" imbeddedFilename="Converters.sem">
      <Audio>
        <Pin name="Text Val" datatype="string" />
        <Pin name="Float Val" datatype="float" direction="out" />
      </Audio>
    </Plugin>
    <Plugin id="SE TextToInt" name="Text To Int" imbeddedFilename="Converters.sem">
      <Audio>
        <Pin name="Text Val" datatype="string" />
        <Pin name="Int Val" datatype="int" direction="out" />
      </Audio>
    </Plugin>
    <Plugin id="SE UserSettingText" name="User Setting - Text" imbeddedFilename="UserSettingText.sem">
      <Parameters>
        <Parameter id="0" datatype="string" name="val" private="true" ignorePatchChange="true" persistant="false" />
      </Parameters>
      <Audio>
        <Pin name="value in" datatype="string" private="true" parameterId="0" />
        <Pin name="Value" datatype="string" direction="out" />
      </Audio>
      <GUI>
        <Pin name="Product" datatype="string" default="My Plugin Name" />
        <Pin name="Key" datatype="string" default="My Setting Name" />
        <Pin name="Default" datatype="string" default="Some Default Value" />
        <Pin name="value in" datatype="string" private="true" parameterId="0" />
        <Pin name="Value" datatype="string" direction="out" />
      </GUI>
    </Plugin>
    <Plugin id="SE VoltsToBool" name="Volts to Bool" imbeddedFilename="Converters.sem">
      <Audio>
        <Pin name="In" datatype="float" rate="audio" />
        <Pin name="Out" datatype="bool" direction="out" />
      </Audio>
    </Plugin>
    <Plugin id="SE VoltsToInt" name="Volts to Int" imbeddedFilename="Converters.sem">
      <Audio>
        <Pin name="In" datatype="float" rate="audio" />
        <Pin name="Out" datatype="int" direction="out" />
      </Audio>
    </Plugin>
    <Plugin id="SynthEdit Inverter2" name="Inverter2" imbeddedFilename="Inverter.sem">
      <Audio>
        <Pin name="Signal In" datatype="float" rate="audio" linearInput="true" />
        <Pin name="Signal Out" datatype="float" rate="audio" direction="out" />
      </Audio>
    </Plugin>
  </PluginList>
</Document>
